package org.jivesoftware.smack.packet;

import org.jivesoftware.smack.util.Objects;

public class ErrorIQ extends SimpleIQ {
   public static final String ELEMENT = "error";

   public ErrorIQ(XMPPError xmppError) {
      super("error", (String)null);
      Objects.requireNonNull(xmppError, "XMPPError must not be null");
      this.setType(IQ.Type.error);
      this.setError(xmppError);
   }
}
